
Redmine - Defect #12279

error with large files in filesystem repo

2012-10-31 15:06 - chad merritt

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version:  

Description

I've got a filesystem repo that contains DVD ISO images.  When I try to view the repo I get

An error occurred when trying to access the repository: bignum too big to convert into `unsigned long'

It seems like Redmine is only calculating the size of the files in Bytes, which blows up the variable here.  I don't know Ruby enough to

try and modify it so that it can calculate sizes in kb/mb/gb so as not to throw this error..  This is all my theory of course.

Redmine 1.4.4.stable (MySQL)

Debian 6.0.5 Squeeze

ruby 1.8.7

Related issues:

Related to Redmine - Defect #30411: Filesystem adapter does not show correct ... Closed

Has duplicate Redmine - Defect #8806: Error when access to repository: bignum... Closed 2011-07-13

History

#1 - 2012-11-04 14:48 - Toshi MARUYAMA

- Category set to SCM

#2 - 2018-11-03 23:05 - Go MAEDA

In my environment, the error doesn't occur but wrong size value is displayed in the repository browser. Probably because of 32-bit integer overflow.

Environment:

  Redmine version                3.4.6.devel.17618

  Ruby version                   2.3.7-p456 (2018-03-28) [x86_64-darwin16]

  Rails version                  5.2.1

  Environment                    development

  Database adapter               SQLite

  Mailer queue                   ActiveJob::QueueAdapters::AsyncAdapter

  Mailer delivery                smtp

#3 - 2019-01-13 16:04 - Go MAEDA

- Related to Defect #30411: Filesystem adapter does not show correct size for large files added

#4 - 2019-01-13 16:04 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Cant reproduce

#5 - 2019-08-12 04:15 - Go MAEDA

- Has duplicate Defect #8806: Error when access to repository: bignum too big to convert into `unsigned long' added

Powered by TCPDF (www.tcpdf.org)

2025-05-02 1/1

http://www.tcpdf.org

